Skip to content

TimeSheetWeek

Per-week aggregates derived from daily time-sheets. Read-only except for the workflow status (which fans out to days).


OpenAPI Spec

GET
/v1/time-sheet-weeks/spec

Get OpenAPI 3.1.0 spec for TimeSheetWeek API

Responses

Returns OpenAPI 3.1.0 spec for TimeSheetWeek API

application/json
JSON
{
}

Playground

Samples


List TimeSheetWeeks

GET
/v1/time-sheet-weeks

List TimeSheetWeeks

Authorizations

apiKey
Type
HTTP (bearer)

Parameters

Query Parameters

page
Type
number
Minimum
0
Default
0
size
Type
number
Minimum
1
Maximum
20
Default
10
id
userId
weekStart
status
externalId
createdAt
updatedAt

Responses

List response

application/json
JSON
{
"page": 0,
"pages": 0,
"size": 10,
"items": [
{
"id": 0,
"userId": 0,
"weekStart": "string",
"status": "string",
"submittedCount": 0,
"approvedCount": 0,
"declinedCount": 0,
"submittedAt": "string",
"approvedAt": "string",
"declinedAt": "string",
"sumActual": 0,
"sumTarget": 0,
"hasMultipleDayTimeEntryCount": 0,
"recomputableCount": 0,
"hasOpenTimeEntryCount": 0,
"openTimeEntryEarliestDay": "string",
"computedAt": "string",
"externalId": "string",
"createdAt": "string",
"updatedAt": "string"
}
]
}

Playground

Server
Authorization
Variables
Key
Value

Samples


Get a TimeSheetWeek

GET
/v1/time-sheet-weeks/{timeSheetWeekId}

Get a TimeSheetWeek by ID

Authorizations

apiKey
Type
HTTP (bearer)

Parameters

Path Parameters

timeSheetWeekId*
Type
integer
Required
Format
"int32"

Responses

TimeSheetWeek found

application/json
JSON
{
"id": 0,
"userId": 0,
"weekStart": "string",
"status": "string",
"submittedCount": 0,
"approvedCount": 0,
"declinedCount": 0,
"submittedAt": "string",
"approvedAt": "string",
"declinedAt": "string",
"sumActual": 0,
"sumTarget": 0,
"hasMultipleDayTimeEntryCount": 0,
"recomputableCount": 0,
"hasOpenTimeEntryCount": 0,
"openTimeEntryEarliestDay": "string",
"computedAt": "string",
"externalId": "string",
"createdAt": "string",
"updatedAt": "string"
}

Playground

Server
Authorization
Variables
Key
Value

Samples


Update a TimeSheetWeek

PATCH
/v1/time-sheet-weeks/{timeSheetWeekId}

Update a TimeSheetWeek by ID

Authorizations

apiKey
Type
HTTP (bearer)

Parameters

Path Parameters

timeSheetWeekId*
Type
integer
Required
Format
"int32"

Request Body

application/json
JSON
{
"status": "string",
"externalId": "string"
}

Responses

TimeSheetWeek found

application/json
JSON
{
"id": 0,
"userId": 0,
"weekStart": "string",
"status": "string",
"submittedCount": 0,
"approvedCount": 0,
"declinedCount": 0,
"submittedAt": "string",
"approvedAt": "string",
"declinedAt": "string",
"sumActual": 0,
"sumTarget": 0,
"hasMultipleDayTimeEntryCount": 0,
"recomputableCount": 0,
"hasOpenTimeEntryCount": 0,
"openTimeEntryEarliestDay": "string",
"computedAt": "string",
"externalId": "string",
"createdAt": "string",
"updatedAt": "string"
}

Playground

Server
Authorization
Variables
Key
Value
Body

Samples


Get a TimeSheetWeek by user and week start

GET
/v1/time-sheet-weeks/by-user

Look up a single TimeSheetWeek by userId and weekStart (Monday of the ISO week). The row is created on demand if it does not yet exist. Requests for a weekStart more than 3 calendar months in the future are rejected with 400.

Authorizations

apiKey
Type
HTTP (bearer)

Parameters

Query Parameters

userId*
Type
integer
Required
weekStart*
Type
string
Required
Format
"date"

Responses

TimeSheetWeek found

application/json
JSON
{
"id": 0,
"userId": 0,
"weekStart": "string",
"status": "string",
"submittedCount": 0,
"approvedCount": 0,
"declinedCount": 0,
"submittedAt": "string",
"approvedAt": "string",
"declinedAt": "string",
"sumActual": 0,
"sumTarget": 0,
"hasMultipleDayTimeEntryCount": 0,
"recomputableCount": 0,
"hasOpenTimeEntryCount": 0,
"openTimeEntryEarliestDay": "string",
"computedAt": "string",
"externalId": "string",
"createdAt": "string",
"updatedAt": "string"
}

Playground

Server
Authorization
Variables
Key
Value

Samples